Subject: Re: [DNSOP] redefining SRV, was New Version Notification for draft-ietf-dnsop-attrleaf-03.txt

From: "John R. Levine" <[email-masked]>
Date: 20 Mar 2018 17:16:48 +0000

>>>   2. SRV and URI
>  ...
>>   We need to change the description of the second level name registry to say
>>   that SRV and URI are special, they use names from Ports and Services at
>>   the second level and URI uses enumservice subtypes, and take out all of
>>   the SRV entries.  What's left is the grabbag of second level names used
>>   for other stuff like NAPTR and _adsp._domainkey.
>
>  No.  "Special" invites "errors", for on-going administration and operations.
>  I'm trying to make things simpler and less tangled.
>
>  We need to move away from the complexity created by having special rules for
>  some entries in the registry.

That would be fine except that the Port and Service registry has thousands of 
entries, and the named ones (nearly all of them) are valid SRV names. Importing 
a handful of names that we guess are commonly used with SRV is the worst of 
both worlds.

Either point at the real registry for SRV, or say that this explicitly 
redefines the namespace for SRV and see if dnsop will go for that.  I don't see 
any way you can just ignore RFC 6335 and its predecessors.

>  ps.  I thought the URI RR had no current actual use (or at least very
>  little.)

I belive that's correct, but again, either we deprecate URI or we deal with its 
naming rules.

To get rid of special, add another column to the first table which identifies 
the second level namespace.  In some cases it's empty, in some cases it's Ports 
and Services, in a few it's Enumservice, and in the rest it's the second table.

R's,
John

---

From: Dave Crocker <[email-masked]>
Date: Tue, 20 Mar 2018 10:23:29 -0700

On 3/20/2018 10:16 AM, John R. Levine wrote:
> That would be fine except that the Port and Service registry has 
> thousands of entries, and the named ones (nearly all of them) are valid 
> SRV names. Importing a handful of names that we guess are commonly used 
> with SRV is the worst of both worlds.

Again: the plan is to change the SRV spec so that it doesn't try to 
inherit all those values automatically.

> redefines the namespace for SRV and see if dnsop will go for that.  I 
> don't see any way you can just ignore RFC 6335 and its predecessors.
> 
> I belive that's correct, but again, either we deprecate URI or we deal 
> with its naming rules.

Or, here too, we change the URI spec.

d/

-- 
-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net